Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Move

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Copy
                  |
                  +--org.apache.tools.ant.taskdefs.Move

public class Move
extends Copy

Moves a file or directory to a new file or directory. By default, the destination is overwriten when existing. When overwrite is turned off, then files are only moved if the source file is newer than the destination file, or when the destination file does not exist.

Source files and directories are only deleted when the file or directory has been copied to the destination successfully. Filtering also works.

This implementation is based on Arnout Kuiper's initial design document, the following mailing list discussions, and the copyfile/copydir tasks.

Author:
  Glenn McAllister glennm@ca.ibm.com

Fields inherited from class org.apache.tools.ant.taskdefs.Copy
`destDir, destFile, dirCopyMap, file, fileCopyMap, filesets, filtering, flatten, forceOverwrite, includeEmpty, mapperElement, preserveLastModified, verbosity`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`Move()`

Method Summary
`protected void` | `deleteDir(java.io.File d)` Go and delete the directory tree.
`protected void` | `doFileOperations()` Actually does the file (and possibly empty directory) copies.
`protected boolean` | `okToDelete(java.io.File d)` Its only ok to delete a directory tree if there are no files in it.

Methods inherited from class org.apache.tools.ant.taskdefs.Copy
`addFileset, buildMap, createMapper, execute, scan, setFile, setFiltering, setFlatten, setIncludeEmptyDirs, setOverwrite, setPreserveLastModified, setTodir, setTofile, setVerbose, validateAttributes`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Move

    public Move()

Method Detail

### doFileOperations

    protected void doFileOperations()

  Description copied from class: `Copy`
  Actually does the file (and possibly empty directory) copies. This is a good method for subclasses to override.
  Overrides:
    `doFileOperations` in class `Copy`

### okToDelete

    protected boolean okToDelete(java.io.File d)

  Its only ok to delete a directory tree if there are no files in it.

### deleteDir

    protected void deleteDir(java.io.File d)

  Go and delete the directory tree.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.